Cannot boot/install AMD Ryzen 2400G

Bug #1753510 reported by Peter Silva on 2018-03-05
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Did a motherboard swap on a trusty old computer that ran ubuntu for 10 years or so. Now it only runs windows (same hardware fresh installs windows with no issue). brand new ryzen 2nd gen with graphics.

I know about graphics drivers issues, wasn't expecting that to be dealt with.
Just trying to use it as a cpu. So I put in an older (RADEON HD 7850 pitcairn) video card to get some functionality.

Without the video card, it boots, but the display is unusable. I can ssh in and see that it works fine as a server, but cannot use terminal or graphical display.

With the video card, Put daily ubuntu Bionic image, and "Try Ubuntu",
and it goes into an infinite loop. photo attached. I tried 16.04.4 and
I think it just went into a blank screen.

Peter Silva (peter-bsqt) wrote :
Peter Silva (peter-bsqt) wrote :

I tried rcu_nocbs=0-7 as and argument booting the march 3rd daily iso.
(reported as helping by one user on phoronix) but no change.

Peter Silva (peter-bsqt) wrote :

tried again with 03/11 daily after beta announcement. No change.

Peter Silva (peter-bsqt) wrote :

based on this: http://iso.qa.ubuntu.com/qatracker/milestones/387/builds
syslinux looks more promising/appropriate.

affects: grub2 (Ubuntu) → syslinux (Ubuntu)
Phillip Susi (psusi) wrote :

Are you still having this issue with the final release?

affects: syslinux (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → Incomplete

yes.

On Wed, May 9, 2018 at 6:09 PM, Phillip Susi <email address hidden> wrote:
> Are you still having this issue with the final release?
>
>
> ** Package changed: syslinux (Ubuntu) => linux (Ubuntu)
>
> ** Changed in: linux (Ubuntu)
> Status: New => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1753510
>
> Title:
> Cannot boot/install AMD Ryzen 2400G
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1753510/+subscriptions

Phillip Susi (psusi) on 2018-05-09
Changed in linux (Ubuntu):
status: Incomplete → New

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1753510

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.17 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.17-rc4

Changed in linux (Ubuntu):
importance: Undecided → Medium

I can only boot in windows... cannot boot in ubuntu to choose the custom kernel.
any idea how to adjust an installation image to use a custom kernel?

On Thu, May 10, 2018 at 6:02 PM, Joseph Salisbury
<email address hidden> wrote:
> Would it be possible for you to test the latest upstream kernel? Refer
> to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest
> v4.17 kernel[0].
>
> If this bug is fixed in the mainline kernel, please add the following
> tag 'kernel-fixed-upstream'.
>
> If the mainline kernel does not fix this bug, please add the tag:
> 'kernel-bug-exists-upstream'.
>
> Once testing of the upstream kernel is complete, please mark this bug as
> "Confirmed".
>
>
> Thanks in advance.
>
> [0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.17-rc4
>
> ** Changed in: linux (Ubuntu)
> Importance: Undecided => Medium
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1753510
>
> Title:
> Cannot boot/install AMD Ryzen 2400G
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1753510/+subscriptions

Peter Silva (peter-bsqt) wrote :

OK, took the boot disk out, and installed the 4.17-rc7 from the above location, and it still does not work. same loop as before.

Peter Silva (peter-bsqt) wrote :

I mean I put it in a usb enclosure, so now I can move it to a PC that I can boot linux on, and make changes, and then easily move it back to try booting. so easy to test now.

Peter Silva (peter-bsqt) wrote :

I tried to mark the report confirmed, but couldn´t because I am the original reporter.. I guess.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Peter Silva (peter-bsqt) wrote :
Download full text (9.5 KiB)

now I can switch the disk between working and broken computers, I can provide logs... here is the last 100 lines of kern.log with 2.17-rc7:

Mar 3 22:08:10 alu kernel: [ 185.523286] [drm] DC: Cursor address is 0!
Mar 3 22:08:16 alu kernel: [ 191.147354] [drm] DC: Cursor address is 0!
Mar 3 22:08:16 alu kernel: [ 191.148362] [drm] DC: Cursor address is 0!
Mar 3 22:08:16 alu kernel: [ 191.374531] [drm] DC: Cursor address is 0!
Mar 3 22:08:16 alu kernel: [ 191.375536] [drm] DC: Cursor address is 0!
Mar 3 22:08:16 alu kernel: [ 191.389098] [drm] DC: Cursor address is 0!
Mar 3 22:08:16 alu kernel: [ 191.390110] [drm] DC: Cursor address is 0!
Mar 3 22:08:16 alu kernel: [ 191.405736] [drm] DC: Cursor address is 0!
Mar 3 22:08:16 alu kernel: [ 191.406737] [drm] DC: Cursor address is 0!
Mar 3 22:08:16 alu kernel: [ 191.735683] [drm] DC: Cursor address is 0!
Mar 3 22:08:16 alu kernel: [ 191.736609] [drm] DC: Cursor address is 0!
Mar 3 22:08:16 alu kernel: [ 191.756004] [drm] DC: Cursor address is 0!
Mar 3 22:08:16 alu kernel: [ 191.757035] [drm] DC: Cursor address is 0!
Mar 3 22:08:22 alu kernel: [ 197.327221] [drm] DC: Cursor address is 0!
Mar 3 22:08:22 alu kernel: [ 197.328229] [drm] DC: Cursor address is 0!
Mar 3 22:08:22 alu kernel: [ 197.582181] [drm] DC: Cursor address is 0!
Mar 3 22:08:22 alu kernel: [ 197.583143] [drm] DC: Cursor address is 0!
Mar 3 22:08:22 alu kernel: [ 197.588987] [drm] DC: Cursor address is 0!
Mar 3 22:08:22 alu kernel: [ 197.589997] [drm] DC: Cursor address is 0!
Mar 3 22:08:22 alu kernel: [ 197.605801] [drm] DC: Cursor address is 0!
Mar 3 22:08:22 alu kernel: [ 197.606811] [drm] DC: Cursor address is 0!
Mar 3 22:08:23 alu kernel: [ 197.926448] [drm] DC: Cursor address is 0!
Mar 3 22:08:23 alu kernel: [ 197.927348] [drm] DC: Cursor address is 0!
Mar 3 22:08:23 alu kernel: [ 197.938932] [drm] DC: Cursor address is 0!
Mar 3 22:08:23 alu kernel: [ 197.939960] [drm] DC: Cursor address is 0!
Mar 3 22:08:28 alu kernel: [ 203.542948] [drm] DC: Cursor address is 0!
Mar 3 22:08:28 alu kernel: [ 203.543955] [drm] DC: Cursor address is 0!
Mar 3 22:17:09 alu kernel: [ 724.826820] sdd: sdd1 sdd2 sdd3
Mar 4 08:23:55 alu kernel: [37130.167508] [drm] DC: Cursor address is 0!
Mar 4 08:23:55 alu kernel: [37130.168529] [drm] DC: Cursor address is 0!
Mar 4 08:24:00 alu kernel: [37135.194254] [drm] DC: Cursor address is 0!
Mar 4 08:24:00 alu kernel: [37135.195262] [drm] DC: Cursor address is 0!
Mar 4 08:24:01 alu kernel: [37136.136335] [drm] DC: Cursor address is 0!
Mar 4 08:24:01 alu kernel: [37136.137343] [drm] DC: Cursor address is 0!
Mar 4 08:24:06 alu kernel: [37141.159515] [drm] DC: Cursor address is 0!
Mar 4 08:24:06 alu kernel: [37141.160539] [drm] DC: Cursor address is 0!
Mar 4 15:02:12 alu kernel: [61027.919361] [drm] TOSHIBA-TV: [Block 0]
Mar 4 15:02:12 alu kernel: [61027.919366] [drm] TOSHIBA-TV: [Block 1]
Mar 4 15:02:12 alu kernel: [61027.920051] [drm] dc_link_detect: manufacturer_id = 6252, product_id = 210, serial_number = 1010101, manufacture_week = 255, manufacture_year = 23, display_name = TOSHIBA-TV, speaker_flag = 5, audio_mode_count = 2
Mar 4 15:02:12 ...

Read more...

tags: added: kernel-bug-exists-upstream
Peter Silva (peter-bsqt) wrote :

tried with nospectre_v2 rcu_nocbs=0-7

the behaviour changed, and it got out of the initial loop, but eventually it still crashed.

Kai-Heng Feng (kaihengfeng) wrote :

The amdgpu driver in Bionic is not new enough.

Please try mainline kernel and latest firmware from [1].

[1] https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/

Peter Silva (peter-bsqt) wrote :

OK updated firmware, including amdgpu.

now it does this:

Peter Silva (peter-bsqt) wrote :

with 4.17 (is that what is meant by "mainline" )

Kai-Heng Feng (kaihengfeng) wrote :

Did you upgrade the initramfs after firmware update?
Run `sudo update-initramfs -u -k all`.

Peter Silva (peter-bsqt) wrote :

OK did that. the crash is a little different.

Bob Lourie (bobnz) wrote :

HI, I have Gigabyte ab350n wifi m/b and 2400g cpu. Dual booting has been an issue but I found that the booting process identified 8 compute units but it appeared the kernel wasn't accepting the count so 'rcu_nocbs=03" placed on kernel load line in grub improved later part of initiation. ( The 0-7 parameter dids not work for me)

Bob Lourie (bobnz) wrote :

Entry should be 'rcu_nocbs=0-3'. Typo, cheers
bob

Peter Silva (peter-bsqt) wrote :

OK, now it dumps into the (initramfs) prompt but at least it doesn´t crash just sitting at that prompt. any suggestions what to do once at the initramfs prompt?

Kai-Heng Feng (kaihengfeng) wrote :

Isn't Ryzen 2400G a 8 threads processor?

Peter Silva (peter-bsqt) wrote :

yes: 4 Cores/8 Processing Threads, I tried 0-7 and 0-3. 0-7 crashes worse than 0-3. I could imagine the number being related to cores, rather than threads.

Peter Silva (peter-bsqt) wrote :

tried 4.18.rc1 rcu_nocbs=0-3: crashes into initramfs as before.
with rcu_nocbs=0-7: it goes into some sort of infinite loop spewing registers on the console.

Kai-Heng Feng (kaihengfeng) wrote :

Have you tried kernel parameter "nomodeset"?

Peter Silva (peter-bsqt) wrote :

tried nomodeset. now there is no mode set while booting, and goes into a boot loop.
then updated motherboard bios (april one.) repeat, and now it crashes to (initramfs)

Peter Silva (peter-bsqt) wrote :

tried again 4.17.4 upstream and mesa 18.2 from oibaf. no change.
when I am lucky, I get into (initramfs) prompt.

Kai-Heng Feng (kaihengfeng) wrote :

Can you see what's wrong in dmesg, when in the initramfs prompt?

Peter Silva (peter-bsqt) wrote :

I cannot get into initramfs anymore... it just loops during boot. image attached.
similar image available for 4.17.4 if desired.

Kai-Heng Feng (kaihengfeng) wrote :

For Ryzen APU, is it possible to try latest mainline, 4.18-rc6?
For Radeon 7850, try kernel parameter "radeon.si_support=0 amdgpu.si_support=1"

Peter Silva (peter-bsqt) wrote :

the crash that prompted with initramfs, but accepted no keyboard input,
then kept printing some messages a few minutes later.

Peter Silva (peter-bsqt) wrote :

did a series of boots with 4.18.rc6, rcu=0-3, rcu=0-7, from power off, from reset (behaviour is always different from power on versus when starting from a reset.) applied the radion and amdgpu options above, no success. The behaviour varies (sometimes hang, sometimes crash, sometimes loop infinitely, once in a while get to initramfs prompt.)

Peter Silva (peter-bsqt) wrote :

I also tried booting with none of the workarounds (no_spectrev2, rcu_cbs, radio, amdgpu) it looped on boot. just like back in 4.15.

Peter Silva (peter-bsqt) wrote :

upgraded everything: firmware, mesa, kernel (rc7.) Now it crashes.
First crash was different from subsequent ones.

Peter Silva (peter-bsqt) wrote :

subsequent crashes look more like this

Kai-Heng Feng (kaihengfeng) wrote :

Have you tried latest amdgpu [1]?

[1] https://cgit.freedesktop.org/~agd5f/linux/ branch amd-staging-drm-next

Peter Silva (peter-bsqt) wrote :

It''s on my disk checked out, but this is a whole kernel... not sure how to
get correct configs and such.

Can you point at a HOWTO or something? This is a whole kernel, not just a
driver. Haven't had to build a kernel from source in 15 years or more.
There aren't any Debian bits... where do I get the bits to build .deb's
from the kernel? or do I just make, make install ?

On Sat, Aug 4, 2018 at 3:31 AM, Kai-Heng Feng <email address hidden>
wrote:

> Have you tried latest amdgpu [1]?
>
> [1] https://cgit.freedesktop.org/~agd5f/linux/ branch amd-staging-drm-
> next
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1753510
>
> Title:
> Cannot boot/install AMD Ryzen 2400G
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/
> 1753510/+subscriptions
>

Peter Silva (peter-bsqt) wrote :

trying this for now: https://wiki.ubuntu.com/KernelTeam/GitKernelBuild

On Sun, Aug 5, 2018 at 9:53 AM, Peter Silva <email address hidden> wrote:

> It''s on my disk checked out, but this is a whole kernel... not sure how
> to get correct configs and such.
>
> Can you point at a HOWTO or something? This is a whole kernel, not just a
> driver. Haven't had to build a kernel from source in 15 years or more.
> There aren't any Debian bits... where do I get the bits to build .deb's
> from the kernel? or do I just make, make install ?
>
> On Sat, Aug 4, 2018 at 3:31 AM, Kai-Heng Feng <<email address hidden>
> > wrote:
>
>> Have you tried latest amdgpu [1]?
>>
>> [1] https://cgit.freedesktop.org/~agd5f/linux/ branch amd-staging-drm-
>> next
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1753510
>>
>> Title:
>> Cannot boot/install AMD Ryzen 2400G
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1753510
>> /+subscriptions
>>
>
>

Peter Silva (peter-bsqt) wrote :

dpkg-source: info: use the '3.0 (quilt)' format to have separate and
documented changes to upstream files, see dpkg-source(1)
dpkg-source: error: unrepresentable changes to source
dpkg-buildpackage: error: dpkg-source -i.git -b linux subprocess returned
exit status 1
scripts/package/Makefile:71: recipe for target 'deb-pkg' failed

fwiw, I got this far... not sure what would be next.

On Sun, Aug 5, 2018 at 10:02 AM, Peter Silva <email address hidden> wrote:

> trying this for now: https://wiki.ubuntu.com/KernelTeam/GitKernelBuild
>
>
> On Sun, Aug 5, 2018 at 9:53 AM, Peter Silva <email address hidden> wrote:
>
>> It''s on my disk checked out, but this is a whole kernel... not sure how
>> to get correct configs and such.
>>
>> Can you point at a HOWTO or something? This is a whole kernel, not just
>> a driver. Haven't had to build a kernel from source in 15 years or more.
>> There aren't any Debian bits... where do I get the bits to build .deb's
>> from the kernel? or do I just make, make install ?
>>
>> On Sat, Aug 4, 2018 at 3:31 AM, Kai-Heng Feng <
>> <email address hidden>> wrote:
>>
>>> Have you tried latest amdgpu [1]?
>>>
>>> [1] https://cgit.freedesktop.org/~agd5f/linux/ branch amd-staging-drm-
>>> next
>>>
>>> --
>>> You received this bug notification because you are subscribed to the bug
>>> report.
>>> https://bugs.launchpad.net/bugs/1753510
>>>
>>> Title:
>>> Cannot boot/install AMD Ryzen 2400G
>>>
>>> To manage notifications about this bug go to:
>>> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1753510
>>> /+subscriptions
>>>
>>
>>
>

Peter Silva (peter-bsqt) wrote :

during dpkg -i :

(Reading database ... 506366 files and directories currently installed.)
Preparing to unpack linux-image-4.18.0-rc1+_4.18.0-rc1+-1_amd64.deb ...
Unpacking linux-image-4.18.0-rc1+ (4.18.0-rc1+-1) ...
Setting up linux-image-4.18.0-rc1+ (4.18.0-rc1+-1) ...
Error! Your kernel headers for kernel 4.18.0-rc1+ cannot be found.
Please install the linux-headers-4.18.0-rc1+ package,
or use the --kernelsourcedir option to tell DKMS where it's located

... tried it anyways...

it behaves similarly to the others. The first time I booted it eventually dropped into initramfs) prompt, but would not accept keyboard input. subsequent boot was and endless loop of register dumps.

Peter Silva (peter-bsqt) wrote :

if it is of interest, I could buy a USB debugging cable and give you
access...
saw this:
https://www.kernel.org/doc/html/v4.17/driver-api/usb/usb3-debug-port.html
but I would have to order the cable. Recommendations welcome.

Do you think it is possible to have the other computer be a raspberry pi
(which is only USB-2)?
If so, it would be easy to just connect and leave it that way for hours.
If both ends need to be
usb-3, then I need a second USB-3 host and it's a bit more cumbersome.

On Sat, Aug 11, 2018 at 8:24 AM, Peter Silva <email address hidden> wrote:

> during dpkg -i :
>
>
> (Reading database ... 506366 files and directories currently installed.)
> Preparing to unpack linux-image-4.18.0-rc1+_4.18.0-rc1+-1_amd64.deb ...
> Unpacking linux-image-4.18.0-rc1+ (4.18.0-rc1+-1) ...
> Setting up linux-image-4.18.0-rc1+ (4.18.0-rc1+-1) ...
> Error! Your kernel headers for kernel 4.18.0-rc1+ cannot be found.
> Please install the linux-headers-4.18.0-rc1+ package,
> or use the --kernelsourcedir option to tell DKMS where it's located
>
> ... tried it anyways...
>
> it behaves similarly to the others. The first time I booted it
> eventually dropped into initramfs) prompt, but would not accept keyboard
> input. subsequent boot was and endless loop of register dumps.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1753510
>
> Title:
> Cannot boot/install AMD Ryzen 2400G
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/
> 1753510/+subscriptions
>

Peter Silva (peter-bsqt) wrote :

tried again with 4.19rc2. Stripped off all other usb peripherals (including existing mouse & kb), only had the internal (windows) SSD and the usb one I am plugging in. Now using a logitech K400 or so, which seems compatible with everything. When I boot, it dumps me into (initramfs) prompt, and I can use it. If I do ls /dev, I see sda, sda1, sda2, sda3 and no other disk partitions. When I try to mount them, I find they are the windows SSD that is SATA connected. It doesn't see the externally USB connected drive.

So I disconnected the windows SSD, removed the other SSD from the enclosure and connected it the ubuntu SSD via SATA. Now I can get a reproducible crash. picture coming.

Peter Silva (peter-bsqt) wrote :
Peter Silva (peter-bsqt) wrote :
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers